Skip to content
Docs
Credentials

List

List

client.organizations.serviceAccounts.credentials.list(stringserviceAccountID, CredentialListParams { organization_id, after, before, 3 more } params, RequestOptionsoptions?): CredentialListResponse { items, page_info, permissions }
GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials

List credentials for a service account

ParametersExpand Collapse
serviceAccountID: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
params: CredentialListParams { organization_id, after, before, 3 more }
organization_id: string

Path param: Organization ID or label identifier

minLength1
maxLength255
after?: string

Query param: Cursor for forward pagination

minLength1
maxLength255
before?: string

Query param: Cursor for backward pagination

minLength1
maxLength255
expand?: Array<"permissions" | "total_count">

Query param: Fields to expand in the response. Supports "permissions" to include the permissions field with the caller's permissions for the resource. For list organization identities only, "total_count" populates pagination.total_count with the number of identities matching the same filters as the list (excluding cursor and limit). Other operations ignore expand values they do not use.

Accepts one of the following:
"permissions"
"total_count"
limit?: number

Query param: Maximum number of credentials to return

minimum1
maximum100
xClientRequestID?: string

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
CredentialListResponse { items, page_info, permissions }
items: Array<ServiceAccountCredential { id, client_id, created_at, 4 more } >
id: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
client_id: string

The client ID for authentication

created_at: string

The time the entity was created in utc

formatdate-time
name: string

A name for the entity to be displayed in UI

description?: string

Optional description of the credential

last_used_at?: string

When the credential was last used

formatdate-time
permissions?: Record<string, Record<string, boolean>>

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

page_info: PageInfoCursor { has_next_page, has_prev_page, end_cursor, start_cursor }

Pagination information using cursor-based pagination

has_next_page: boolean

Whether there are more items after the current page

has_prev_page: boolean

Whether there are more items before the current page

end_cursor?: string

Cursor pointing to the last item in the current page

minLength1
maxLength255
start_cursor?: string

Cursor pointing to the first item in the current page

minLength1
maxLength255
permissions?: Record<string, Record<string, boolean>>

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

List

import KeycardAPI from '@keycardai/api';

const client = new KeycardAPI();

const credentials = await client.organizations.serviceAccounts.credentials.list(
  'ab3def8hij2klm9opq5rst7uvw',
  { organization_id: 'x' },
);

console.log(credentials.items);
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "client_id": "A1b2C3d4E5f6G7h8I9j0K",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "description": "description",
      "last_used_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "client_id": "A1b2C3d4E5f6G7h8I9j0K",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "description": "description",
      "last_used_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}